@font-face {
  font-family: LobsterRegular;
  font-style: normal;
  font-weight: normal;
  src: url("../font/Lobster_1.3.otf") format("opentype");
}

:root {
  --color-highlight: 255, 0, 0;
  --color-ui-pri: #F4F4F4;
  --color-ui-sec: #19B5FE;
  --color-ui-ter: #C0B283;
  --color-ui-qua: #1F262E;
  --color-ui-qui: #808080;
  --color-ui-sen: #F26522;
  --color-ui-sep: #CCC;
  --color-ui-oct: #394655;
  --color-ui-non: #007FFF;
  --color-ui-ten: #003EFF;
  --color-ui-title-one: #FF4136;
  --color-ui-console-bg: #EEE8D5;
  --color-ui-console-fg: #002B36;
  --color-ui-console-info: #00BFFF;
  --color-ui-console-error: #DC3545;
  --color-ui-console-success: #28A745;
  --color-ui-console-warning: #FFC107;
  --color-ui-rss: #F26522;
  --controls-toggle-margin: 0 0 0 -2px;
  --controls-toggled-margin: -2px -2px 0 0;
  --color-ui-danger: #DC3545;
  --color-ui-success: #28A745;
  --color-ui-warning: #FFC107;

  /* Relative to media */
  --beggar-width: 420px;
  --side-menu-width-expanded: 280px;
  --side-menu-width: -291px;
  --header-height: 24px;
  --console-max-width: 242px;
  --controls-width: 150px;
  --controls-font-size: 14pt;
  --favicon-width: 16px;
  --controls-toggle-size: 24px;
  --feed-title-font-size: 12pt;
  --panel-flex: row nowrap;
  --column-buttons-display: flex;
  --column-padding: 0 0 150px 0;
  --dialog-flex-direction: row;
  --handle-flex-shrink: 0;
  --handle-visibility: visible;
  --title-padding-top: 0;
  --title-margin-left: 0.2em;
  --columns: auto 3;
  --logo-display: inline;
  --wrap: nowrap;
}

@media screen and (max-width: 700px) {
  :root {
    --beggar-width: 100%;
    --side-menu-width-expanded: 90%;
    --side-menu-width: -999px;
    --header-height: 2.2em;
    --console-max-width: 278px;
    --controls-width: 75%;
    --controls-font-size: 22pt;
    --favicon-width: 28px;
    --controls-toggle-size: 28pt;
    --feed-title-font-size: 20pt;
    --panel-flex: column;
    --column-buttons-display: none;
    --column-padding: 0;
    --dialog-flex-direction: column;
    --handle-flex-shrink: 1;
    --handle-visibility: collapse;
    --title-margin-left: 0;
    --columns: auto;
    --logo-display: none;
    --wrap: wrap;
  }
}

@keyframes spin-animation {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(359deg);
  }
}

body {
  background-color: var(--color-background);
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell, "Fira Sans", "Droid Sans", "Helvetica Neue", sans-serif;
  margin: 0;
}

.ui-state-hover a,
.ui-state-hover a:hover,
.ui-state-hover a:link,
.ui-state-hover a:visited,
.ui-state-focus a,
.ui-state-focus a:hover,
.ui-state-focus a:link,
.ui-state-focus a:visited,
a.ui-button:hover,
a.ui-button:focus {
        color: #f00;
        text-decoration: none;
}


ul,
li {
  padding: 0;
}

a:link {
  color: var(--color-text);
  text-decoration: none;
}

a.docLink:link {
  color: var(--color-link);
  text-decoration: underline;
}

a.docLink:hover {
  color: var(--color-link-hover);
}

a.docLink.icon:link {
  text-decoration: none !important;
}

a:visited {
  color: var(--color-link-visited);
}

a:hover,
/* .ui-tab.ui-state-active a:link, .ui-tab.ui-state-active i, .ui-tab.ui-state-default a:link, */
a:active {
  color: var(--color-link-hover);
}

.warning {
  color: var(--color-ui-warning);
}

/* .fancybox-caption a, */
/* .fancybox-caption a:link, */
/* .fancybox-caption a:visited { */
/*   background-color: var(--color-button-bg); */
/*   color: var(--color-button-text); */
/*   text-decoration: none; */
/* } */

/* a.ui-tabs-anchor:link, */
/* a.ui-tabs-anchor:visited { */
/*   color: var(--color-link); */
/* } */

.ui-state-default a,
.ui-state-default a:link,
.ui-state-default a:visited,
.ui-state-default:not(.ui-slider-handle),
.ui-widget-content .ui-state-default:not(.ui-slider-handle) {
  color: var(--color-link);
}

li.feedItem:not(.error) a {
  display: block;
  width: 100%;
}

li.ui-state-active a:link,
li.ui-tabs-active > a:visited {
  color: var(--color-link-hover);
}

/* :focus { */
/*   outline: none; */
/* } */

.ui-state-active:focus,
.ui-state-default:focus,
.ui-state-default:focus-visible {
  outline: none;
  box-shadow: 0 2px 0 var(--color-link-hover) inset;
}

.feedHeader > .feedTitle > a:link,
.feedHeader > .feedTitle > a:visited,
.feedHeader > .feedTitle > a:focus,
.feedHeader > .feedTitle > a:focus-visible,
.feedHeader > .feedTitle > a:focus-within {
  color: var(--color-feed-title);
}

.feedHeader > .feedTitle > a.danger:link,
.feedHeader > .feedTitle > a.danger:visited {
  color: var(--color-danger);
}

.feedHeader > .feedTitle > a:hover {
  color: var(--color-link-hover);
}

#liberapay a {
  flex: 0 0 0;
}

body#js {
  color: #FFFFFF;
}

table#jsLicenseTable td a:link {
  text-decoration: underline;
}

.feedHeader .feedControls div {
  margin: 0 2px 0 0;
}

div#logoTitle {
  display: flex;
}

.feedHeader > .feedToggle,
.feedHeader .feedControls div {
  text-align: center;
}

#loadSpinner > div {
  color: var(--color-text);
  font-size: 12pt;
}

.ui-tab.ui-state-active > i {
  color: var(--color-link);
}

div#logoTitle > div,
.ui-tabs .ui-tabs-nav li.ui-tabs-active .ui-tabs-anchor,
.topNav > div.menuBarButton,
i.tabIcon,
#ptlSearch > i,
.hover {
  cursor: pointer;
}

.middleButton {
  margin: 0 5px;
}

.dangerous {
  color: var(--color-ui-danger);
}

button.dangerous:hover {
  color: var(--color-ui-danger);
}

.fold {
  display: inline-block;
  transition: all 0.2s linear;
  transform: rotate(-90deg);
}

.unfold {
  display: inline-block;
  transition: transform 0.2s linear;
  transform: rotate(90deg);
}

.ui-spinner input {
  width: 32px;
}

.topNav {
  z-index: 20;
  display: flex;
  flex-direction: row;
  overflow: hidden;
  height: 45px;
}

/* .topNav > div.menuBarItem { */
/*   color: var(--color-ui-pri); */
/*   text-align: center; */
/* } */

.topNav .navLeft {
  order: 1;
}

.topNav .navCenter {
  order: 2;
  flex-grow: 5;
}

.topNav .navRight {
  order: 3;
}

.topNav > div.menuBarItem > i.topMenuIcon {
  display: block;
  color: var(--color-text);
  font-size: 16pt;
  margin: 8px 8px 8px 12px;
}

.topNav > div.menuBarItem > i.topMenuIcon:hover {
  color: var(--color-link-hover);
}

.topNav > div.menuBarItem > i {
  margin: 11px 0 8px -28px;
  color: #333;
}

.topNav > div.menuBarItem > i:hover {
  color: #555;
}

.topNav > div.menuBarItem > input {
  margin: 4px 0 8px;
}

.icon-w3c {
  color: var(--color-ui-success);
}

i.icon-petrolette {
  display: block;
  font-size: 24pt;
  margin: 6px 12px 6px 6px;
  color: var(--color-ui-sec);
}

.logoTitle {
  color: var(--color-ui-sec);
  font-family: LobsterRegular, Helvetica, Arial, sans-serif;
}

#sisterLibs {
  justify-content: center;
}

#sisterLibs div {
  margin: 0.3em 0.3em;
}

#topNav .logoTitle {
  display: var(--logo-display);
}

.logoTitle {
  font-size: 36pt;
}

#aboutDialog .logoTitle {
  margin-bottom: 0.1em;
}

#preload > .logoTitle {
  font-family: LobsterRegular, Helvetica, sans-serif;
}

div#logoTitle > .logoTitle:hover,
i.icon-petrolette:hover,
i.icon-petrolette.writing {
  /* color: var(--color-ui-pri); */
  /* opacity:0.5; */
  filter: brightness(110%);
}

div#logoTitle > div {
  flex: 1 0;
}

.ui-tab i.tabCloser {
  top: 2px;
  color: var(--color-tab-inactive-bg);
}

.ui-state-active i.tabCloser {
  color: var(--color-text);
}

i.tabCloser:hover {
  color: var(--color-danger);
}

[class ^= "icon-"]::before,
[class *= " icon-"]::before {
  display: initial;
  margin: 0;
}

#backToTop {
  cursor: pointer;
  z-index: 2;
  background: var(--color-ui-qua);
  border-radius: 35px;
  bottom: 20px;
  display: block;
  display: none;
  height: 50px;
  opacity: 0.5;
  position: fixed;
  right: 20px;
  text-decoration: none;
  width: 50px;
}

#backToTop i {
  color: var(--color-ui-pri);
  font-size: 19px;
  left: 18px;
  margin: 0;
  position: relative;
  top: 13px;
}

#backToTop:hover {
  opacity: 1;
}

#loadSpinner > div > i {
  line-height: 0;
  font-size: 8em;
}

#backToTop:hover i {
  top: 5px;
  color: var(--color-ui-sec);
}

#loadSpinner > div > div {
  margin: 2em 0 0 0;
  color: var(--color-text);
  font-size: 12pt;
}

.disabledFeature {
  padding: 1em;
  margin: 3vh auto;
  background: var(--color-ui-qua);
}

.disabledFeature p {
  color: var(--color-text);
}

#noDomStorage {
  display:none;
}

#preload {
  height: 0;
  overflow: hidden;
  width: 0;
}

.feedHeader > .feedTitle {
  margin-top: 3px;
  flex-basis: auto;
  flex-grow: 4;
  flex-shrink: 1;
  font-family: var(--font-feed-title);
  text-rendering: optimizeLegibility;
  font-size: var(--feed-title-font-size);
  font-style: oblique;
  text-transform: capitalize;
  font-variant: small-caps;
  margin-left: var(--title-margin-left);
  overflow: hidden;
  text-overflow: ellipsis;
  color: var(--color-feed-title);
  width: 100px;
  white-space: nowrap;
}

#preload > .fontello {
  font-family: fontello, Impact, fantasy;
}

h1,
h2,
h3,
h4 {
  color: var(--color-ui-sec);
  margin-bottom: 0.3em;
  margin-top: 0.6em;
}

h1.rs-big-headline {
  margin-top: 0;
  margin-bottom: 0;
}

.rs-widget-icon {
  margin-left: 0.3em;
}

.rs-sub-headline {
  word-break: normal !important;
}

h1 {
  color: var(--color-ui-sec);
  margin-top: 0;
}

kbd:not(.keyGroup) {
  font-family: Consolas, "Lucida Console", monospace;
  display: inline-block;
  border-radius: 3px;
  padding: 0px 4px;
  box-shadow: 1px 1px 1px #777;
  margin: 2px;
  font-size: small;
  vertical-align: text-bottom;
  background: #eee;
  font-weight: 500;
  color: #555;
  cursor: pointer;
  font-variant: small-caps;
  font-weight: 600;

  line-height: initial;
  
  /* This two work */
  /* letter-spacing: 0.5px; */
  letter-spacing: 1px;


  /* Prevent selection */
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

kbd:hover, kbd:hover * {
  color: black;
  /* box-shadow: 1px 1px 1px #333; */
}

kbd:active, kbd:active * {
  color: black;
  box-shadow: 1px 1px 0px #ddd inset;
}

ul:not(.feedNames, .fundingLinks) {
  list-style-type: none;
}

ul.fundingLinks {
  margin: 0.3em 0 0 14px;
}

.flexBox {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  width: -moz-available;
  width: -webkit-fill-available;
  width: fill-available;
  /* align-items: center; */
}

#questionDialog > .flexBox {
  flex-wrap: var(--wrap);
}

#dialogBlurb {
  font-style: italic;
}

#dialogText {
  flex-grow: 4;
}

.feed-control {
  color: var(--color-feed-control);
  cursor: pointer;
  font-size: var(--controls-font-size);
}

.feed-control:hover {
  color: var(--color-feed-control-hover);
}

#tabNamesUl,
#tabs {
  /* transition: background-color 1s linear; */
  background: var(--color-background);
  border: unset;
}

legend.colLegend {
  color: var(--color-text);
}

i.itemIcon {
  float: right;
  margin: 0.2em;
}

i.icon-petrolette::before {
  font-style: italic;
}

i.icon-petrolette.itemIcon {
  font-size: 1em;
}

.itemIcon:hover {
  color: var(--color-link-hover);
}

li.feedItem.error > strong.value {
  color: var(--color-danger);
}

.spin {
  animation: spin-animation 0.5s infinite;
  display: inline-block;
  color: var(--color-ui-sec);
}

button#feedAddButton i.icon-refresh {
  color: var(--color-ui-sec);
}

#waitScreen > .spin {
  font-size: 400%;
}

.rotate {
  display: inline-block;
  transition: transform 0.2s linear;
}

.reversed {
  transform: rotate(180deg);
}

#overlay {
  background-color: rgba(0, 0, 0, 0.2);
  height: 100%;
  left: 0;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 10;
}

#newTabTab.hidden {
  display: none;
}

.dead-center {
  height: 300px;
  left: 50%;
  margin-left: -150px;
  margin-top: -150px;
  position: absolute;
  text-align: center;
  top: 50%;
  width: 300px;
}

select {
  width: 100%;
  height: 30px;
  font-size: 1em;
}

.sideMenuTitleToggleDiv {
  color: var(--color-ui-pri);
}

.menu .sideMenuTitleToggleDiv {
  color: var(--color-dim);
  margin-left: 14px;
  font-size: 9pt;
}

.jsEnabledOnly {
  display: none;
}

nav#sideMenu {
  border: none;
  height: 100%;
  left: var(--side-menu-width);
  padding: 0.3em 0 0 0;
  position: fixed;
  top: 0;
  transition: background-color 0.2s, left 0.1s ease-out;
  width: var(--side-menu-width-expanded);
  z-index: 11;
  overflow: auto;
  scrollbar-width: thin;
}

div#topNav {
  transition: background-color 0.2s linear;
}

.imageLegend {
  color: var(--color-link-visited);
}

.results {
  outline: 1px solid var(--color-search-result-hilight);
}

li.results {
  background-color: var(--color-search-result-hilight);
}

nav#sideMenu.expanded {
  left: 0;
}

.progress-label {
  position: absolute;
  left: 0.4em;
  top: 7px;
  /* background-color: var(--color-text); */
  color: var(--color-button-text);
}

.progress-label.on {
  /* color: var(--color-ui-pri); */
}

#console {
  border: 3px solid var(--color-text);
  resize: vertical;
  height: 200px;
  min-height: 2.5em;
  max-width: var(--console-max-width);
  scrollbar-width: thin;
  border-radius: 3px;
  color: var(--color-ui-console-fg);
  font-family: monospace;
  overflow-wrap: break-word;
  overflow: auto;
  text-align: left;
}

#console > div > span.prompt {
  margin-right: 3px;
  font-weight: 900;
  color: var(--color-text);
}

#console div.info {
  color: var(--color-ui-console-info);
}

#console div.error {
  color: var(--color-ui-console-error);
}

#console div.success {
  color: var(--color-ui-console-success);
}

#console div.warning {
  color: var(--color-ui-console-warning);
}

i.tabIcon {
  font-size: 0.7em;
  position: absolute;
  right: 3px;
}

a.feedErrorReportButton,
a.validateFeedButton {
  flex: 1;
}

.buttonLeft {
  margin-right: 0.4em;
}

.buttonRight {
  margin-left: 0.4em;
}

.rs-button {
  margin-right: 0;
}

ul.help {
  list-style-type: none;
  list-style-position: outside;
  margin: 0 0 0 1em;
}

ul.help li {
  margin: 0.3em 0 0 1em;
}

ul.help li::before {
  font-family: fontello, Impact, fantasy;
  margin: 0 0.5em 0 0;
  font-size: 1.5em;
}

ul.help li.rss::before {
  content: "\E807";
  color: var(--color-ui-sen);
}

ul.help li.publish::before {
  content: "\E826";
  color: var(--color-ui-success);
}

ul.help li.refresh::before {
  content: "\E817";
  color: var(--color-ui-sec);
}

ul.help li.www::before {
  content: "\E823";
  color: var(--color-ui-success);
}

ul.help li.search::before {
  content: "\E813";
  color: var(--color-ui-sec);
}

ul.help li.export::before {
  content: "\E803";
  color: var(--color-ui-sen);
}

ul.help li.cloud::before {
  content: "\E824";
  color: var(--color-ui-success);
}

#feedGuessDiv {
  flex-wrap: nowrap;
}

.flexBox > label {
  flex: 1;
  flex-grow: 4;
}

#gallerySlideTransition {
  margin-top: 2px;
}

.grow {
  flex: 1 1;
}

.shrink {
  flex: 0 1 4em;
}

.unique {
  flex: 1 100%;
}

.grow:not(.suggestionListLink),
.shrink:not(.suggestionListFavicon),
.unique:not(#feedTabSelect) {
  margin: 0 0.3em 0.3em 0;
}

/* #feedGuessInput { */
/*   margin: 0 0.3em 0 0; */
/* } */

.column {
  white-space: initial;
  transition: transform 0.3s linear;
  margin: 0 0.2em;
}

img.warning {
  vertical-align: middle;
  width: 10em;
}

i.huge {
  font-size: 8em;
}

i.huge:not(.icon-petrolette) {
  color: var(--color-ui-oct);
}

div#icon {
  text-align: center;
  flex: 0 0 auto;
  min-width: 200px;
}

li.tabName:first-child {
  border-left: 1px solid var(--color-border) !important;
}

.panel {
  padding: 0.2em !important;
  flex-flow: var(--panel-flex);
  justify-content: space-between;
}

ul.column {
  margin: 0.2em;
  flex: 1 1 0;
  align-content: center;
  position: relative;
  padding: var(--column-padding);
}

ul.column div.colButtons {
  display: var(--column-buttons-display);
  border-radius: 3px;
  border: 3px dashed var(--color-feed-bg);
  color: var(--color-ui-sep);
  left: 0;
  margin-left: auto;
  margin-right: auto;
  padding: 0.4em;
  position: absolute;
  right: 0;
  text-align: center;
  bottom: 1px;
  width: 150px;
  z-index: 1 !important;
}

li.feed {
  position: relative;
  /* font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell, "Fira Sans", "Droid Sans", "Helvetica Neue", sans-serif; */
  margin: 0 0 0.4em 0;
  min-height: 20px !important;
  width: 100%;
}

.rs-widget,
.ui-widget {
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif !important;
}

.introjs-tooltipReferenceLayer *,
.introjs-button {
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
}

.introjs-button {
  border: unset;
  text-shadow: unset;
  font-size: unset;
}

.introjs-skipbutton {
  font-size: 12pt !important;
  padding: 0;
  margin-right: -7px;
}

li.feed.selected {
  background: none !important;
  opacity: 0.6;
}

.feedHeader {
  display: flex;
  flex-direction: row;
  /* background-color: var(--color-feed-header-bg) !important; */
  /* background-image: linear-gradient(var(--color-background), var(--color-feed-header-bg), var(--color-background)); */
  background-image: linear-gradient(var(--color-feed-header-bg1), var(--color-feed-header-bg2), var(--color-feed-header-bg2), var(--color-feed-header-bg3));
  /* background-image: linear-gradient(var(--color-feed-header-bg), var(--color-feed-bg)); */
  height: var(--header-height);
  max-height: var(--header-height);
  padding: 0;
}

.column .ui-sortable-placeholder {
  visibility: visible !important;
  outline: 3px dashed var(--color-link-hover);
}

.helpBookmarklet {
  cursor: grab;
}

.feedHeader > .feedHandle {
  cursor: grab;
  background-color: transparent;
  border-left: 3px dotted var(--color-scrollbar);
  border-right: 3px dotted var(--color-scrollbar);
  flex-basis: 4px;
  flex-grow: 0;
  flex-shrink: var(--handle-flex-shrink);
  visibility: var(--handle-visibility);
}

.feedHeader > .feedControls {
  display: flex;
  flex-basis: 0;
  flex-grow: 0;
  flex-shrink: 0;
}

.feedHeader .feedControls div.collapsible {
  will-change: transform;
  display: none;
}

.feedHeader > .feedToggle {
  width: var(--controls-toggle-size);
  height: var(--controls-toggle-size);
}

.feedIcon {
  position: absolute;
  left: 3px;
  top: 3px;
  /* transition: transform 0.2s linear; */
  font-size: var(--controls-font-size);
  text-rendering: auto;
}

img.favicon {
  width: var(--favicon-width);
  height: var(--favicon-width);
  margin: 3px 0 0 0;
}

i.feedIcon {
  top: 0;
}

.icon-rss {
  color: var(--color-ui-rss);
}

table tr {
  padding: 0.5em;
  text-align: left;
}

li.feedItem {
  transition: background-color 0.2s linear;
  font-size: 10pt;
  font-weight: bold;
  hyphens: auto;
  overflow-wrap: break-word;
  padding: 0.2em;
  word-break: break-word;
  word-wrap: break-word;
  background-color: var(--color-feed-bg);
}

table tr:nth-child(even),
li.feedItem:nth-child(even) {
  background-color: var(--color-feed-bg-alt);
}

li.feedItem:not(.error):hover {
  background-color: var(--color-feed-bg-hover);
}

li.feedItem > div.itemDiv > a > .ptl-img {
  float: left;
  height: auto;
  width: 30%;
  background-size: cover;
  margin: 0 0.2rem 0.2rem 0;
}

li.feedItem img:hover {
  outline: 1px solid var(--color-link-hover);
}

li.feedItem > div.itemDiv > a > .ptl-img.full > a img,
li.feedItem > div.itemDiv > a > .ptl-img.full {
  min-width: 100%;
  height: auto;
  width: 100%;
}

table#jsLicenseTable {
  margin-left: auto;
  margin-right: auto;
  width: 90%;
  border: 1px solid var(--color-ui-qui);
}

table#jsLicenseTable td {
  padding: 0.5em;
}

.kBShortcutsTable {
  width: 100%;
}

.kbShortcutCol {
  white-space: nowrap;
}

li.feed div.feedBody {
  will-change: contents;
  border-bottom: 1px solid var(--color-feed-header-bg);
  border-left: 1px solid var(--color-border);
  border-right: 1px solid var(--color-border);
  margin: 0;
  overflow-y: auto;
  scrollbar-width: thin;
}

li.feed div.feedBody::-webkit-scrollbar {
  width: 4px;
}

li.feed div.feedBody::-webkit-scrollbar-track {
  color: var(--color-scrollbar);
  background: var(--color-bg1);
}

li.feed div.feedBody::-webkit-scrollbar-thumb {
  background-color: var(--color-fg4);
}

.folded {
  height: 0 !important;
  border-bottom: var(--color-background) !important;
}

/* Responsive */
@media (hover: none) {
  a:active,
  a:hover {
    color: var(--color-text) !important;
  }
}

.introjs-skipbutton {
  color: var(--color-ui-pri) !important;
  font-size: 9pt;
}

h1.introjs-tooltip-title {
  color: var(--color-ui-sec) !important;
}

.introjs-skipbutton:hover {
  color: var(--color-ui-sec) !important;
}

.introjs-tooltipbuttons {
  border-top: none;
}

span.introjs-helperNumberLayer {
  /* background: linear-gradient(to bottom,#ff3019 0,#cf0404 100%); */
  background: var(--color-ui-sec);
}

div.introjs-helperLayer {
  background-color: rgba(255, 255, 255, 0.2);
}

/* IntroJS (help tooltips) */
.introjs-tooltip {
  background-color: var(--color-background) !important;
  border: 1px solid var(--color-text);
  color: var(--color-text) !important;
  width: 360px !important;
  max-width: 360px !important;
}

/* Gallery */

div.fancybox-caption a.ui-button.ui-corner-all:hover {
  text-decoration: none;
}

#remotestorage-widget > .rs-widget {
	z-index: 12;
  margin: 0.2em 0 0.4em;
  padding-left: 0;
  border-radius: 3px;
  background-color: var(--color-button-bg);
  color: var(--color-button-text);
}

#liberapay {
  flex-wrap: nowrap;
  margin-top: 4px;
}

.hover:hover {
  color: var(--color-ui-sec) !important;
}

.ui-dialog p {
  margin: 0.3em 0 0 0;
}


li.tabTitle {
  /* border-radius: 3px; */
  background: var(--color-tab-inactive-bg);
  text-transform:capitalize;
  padding-bottom: 0.2em;
  padding: 0.2em;
}

ul.suggestionListFavicon {
  margin-top: 0.5em;
}

ul.tabUl {
  border: 1px solid var(--color-tab-inactive-bg);
}

button.suggestionListButton {
  cursor: pointer;
}

li.tabLi {
  margin: 0 0 0.2em 0;
}

li.feedsGroupLi {
  padding: 0.2em !important;
}

.ui-dialog div#messageZone {
  text-align: right;
  font-size: 75%;
  /* margin: -8px 0 3px; */
  padding: 0.3em;
}

/* .ui-dialog span.messageTitle { */
/*   color: var(--color-link-hover); */
/* } */

/* .ui-dialog span.messageTitleErrorCode { */
/*   color: var(--color-link-hover); */
/* } */

.ui-state-error {
  background-color: var(--color-danger) !important;
}

#js {
  background-color: var(--color-ui-qua);
}

#js h1 {
  padding-top: 2em;
}

#js h1,
#js p {
  margin-left: 40px;
}

#beggar {
  background-color: var(--color-ui-qua);
  border: 1px solid var(--color-ui-oct);
  border-radius: 5px;
  width: var(--beggar-width);
  max-width: 100%;
  padding: 2em;
  position: sticky;
  bottom: 16px;
  left: 16px;
  z-index: 30;
  flex-direction: column;
}

#beggarImg {
  max-width: 100%;
  max-height: 100%;
}

span.imageLegend {
  font-size: 9pt;
  margin-bottom: 0.3em;
}

#beggar > p {
  color: var(--color-ui-pri);
  margin: 0 0 0.2em 0;
  font-size: 11pt;
}

#notify {
  background-color: var(--color-dialog-bg);
  color: var(--color-text);
  border: 1px solid var(--color-ui-sec);
  border-radius: 5px;
  width: 200px;
  padding: 1em;
  position: absolute;
  bottom: 16px;
  left: 16px;
  z-index: 30;
}

audio {
  background-color: var(--color-ui-pri);
  border-radius: 0;
  height: auto !important;
  width: 100% !important;
}

audio.mixed {
  width: 70% !important;
}

video {
  width: 100% !important;
  height: auto !important;
}

video.mixed {
	float: left;
	resize:both;
  width: 40% !important;
  height: auto !important;
	margin-right: 2px;
}

#ptlSearch {
  display: flex;
  flex-direction: row;
  padding-left: 12px;
}

#ptlSearch .ptlSearchButton {
  flex: 1;
}

/* UI SHIT */

.feedsListIcon {
  margin: 0 .2em 0 0;
  font-size: 1.2em;
}

.suggestionListButton,
.suggestionListFavicon,
.feedsListIcon {
  flex: 0 1;
}

.suggestionListFavicon {
  margin: 0 0.2em 0 0;
}

.feedsListDiv {
  align-items: center;
}

#tabs {
  overflow: hidden;
  white-space: nowrap;
}

#tabs > ul {
  overflow-x: auto;
  overflow-y: hidden;
  scrollbar-width: thin;
}

#tabs > ul > li {
  display: inline-block;
  float: none;
  vertical-align: bottom;
}

.ui-spinner {
  height: 32px;
}

.ui-tab#newTabTab {
  width: 40px;
}

.ui-tab#newTabTab:hover,
.ui-tab.ui-state-hover {
  filter: brightness(1.2);
}

.ui-tab.ui-state-default {
  color: var(--color-fg1);
  background: var(--color-background);
}

.ui-tab:not(.ui-state-active) {
  background: var(--color-tab-inactive-bg);
}

.menu,
.ui-widget-content {
  background-color: var(--color-dialog-bg);
  color: var(--color-text);
}

.ui-dialog.ui-widget-content {
  border: 1px solid var(--color-dialog-border);
}

.ui-dialog .ui-dialog-buttonpane {
  margin: 0;
}

.ui-slider {
  height: 32px;
}

.ui-widget-header,
th {
  background: none;
  color: var(--color-ui-sec);
  font-weight: bold;
}

li.ui-tabs-tab {
  margin: 0 0 0 0 !important;
  border-radius: 0 !important;
  border-left: 0 !important;
  border-top: 0 !important;
  border-right: 1px solid var(--color-border) !important;
  outline-width: 0 !important;
}

.ui-dialog-titlebar {
  border: 1px solid var(--color-dialog-border);
}

/* button:focus {      */
/*     background-color: red !important;   */
/* } */

/* .feedsAddDivName { */
/*   white-space: nowrap; */
/*   overflow: hidden; */
/*   /\* "overflow" value must be different from "visible" *\/ */
/*   text-overflow: ellipsis; */
/*   direction: rtl; */
/*   text-align: left; */
/* } */

/* .feedsAddDivName { */
/*   overflow: hidden; */
/*   text-overflow: ellipsis; */
/*   white-space: nowrap; */
/* } */

.introjs-button,
.introjs-button:focus,
.ui-button-icon-only,
.ui-button-icon-only:focus,
.ui-button,
.ui-button:focus {
  background: var(--color-button-bg);
  color: var(--color-button-text) !important;
  border: unset !important;
}

.introjs-button:hover,
.ui-button:hover {
  background: var(--color-button-hover);
  color: var(--color-button-text);
}

.introjs-button:active,
a.ui-button:active,
.ui-button:active,
.ui-button.ui-state-active:hover {
  background: var(--color-button-bg-active);
}

.introjs-arrow.top {
  border-bottom-color: var(--color-text) !important;
}

.introjs-arrow.bottom {
  border-top-color: var(--color-text) !important;
}

.ui-state-hover,
.ui-widget-content .ui-state-hover,
.ui-widget-header .ui-state-hover {
  background-color: var(--color-tab-hover);
}

select#gallerySlideTransition {
  margin-top: 0.3em;
}

#feedAddInput,
#feedGuessInput,
#tabNameInput,
#searchPrefixInput,
#feedNameInput {
  border-radius: 3px;
}

#feedLimit,
#gallerySpeedSlider,
.ui-slider,
.ui-spinner {
  color: var(--color-button-text);
  background-color: var(--color-button-bg);
}

.ui-slider-handle {
  background-color: var(--color-button-bg-active);
  color: var(--color-button-text);
  cursor: col-resize !important;
  height: 36px !important;
  line-height: 38px;
  min-width: 38px;
  text-align: center;
  top: -0.2em !important;
}

.ui-slider-handle:hover {
  background-color: var(--color-button-bg-active);
}

/* .ui-widget-content, */
.ui-widget textarea,
.ui-widget-header {
  border: none !important;
}

.ui-widget-content {
	border: 1px solid #0b4f6f;
}

.ui-progressbar .ui-progressbar-value {
  background-color: var(--color-button-bg-active);
  margin: 0;
}

.ui-progressbar {
  position: relative;
  background: var(--color-button-bg);
}

a:visited.ui-button {
  color: var(--color-button-text);
}

.ui-checkboxradio-checked {
  background-color: var(--color-button-bg-active);
}

button.ui-state-success {
  background: var(--color-ui-success) !important;
}

.newItemsBadge {
	cursor: default;
  flex-basis: content;
  flex-grow: 1;
  flex-shrink: 1;
  font-size: 0.7em;
  background: var(--color-ui-success);
  color: var(--color-ui-qua);
  width: 17px;
  max-width: 17px;
  min-width: 17px;
  height: 17px;
  line-height: 17px;
  margin: 3px 3px 0 0;
  text-align: center;
  border-radius: 3px;
}

.hidden {
  display: none;
}

.helpIcon {
  margin: 0 0 0 0.3em;
  cursor: pointer;
  color: var(--color-ui-sec);
}

.helpIcon:hover {
  color: var(--color-ui-success);
}

code {
  font-family: monospace !important;
  color: var(--color-ui-sep);
}

.debug {
  color: var(--color-background);
  cursor: crosshair;
}

input[type="text"] {
  padding: 0.3em !important;
  line-height: 9pt !important;
  /* margin: 0; */
}

fieldset {
  margin: 0;
  border: 0;
}

fieldset {
  margin: 0;
  border: 0;
}

div#nagBar {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding: 5px;
  background-color: #CE3B2C;
  min-height: 32px;
}

div#nagBar > * {
  flex-basis: content;
  flex-grow: 1;
  flex-shrink: 1;
}

div#nagBar > div#nagOne {
  padding: 0.3em;
  color: #FFFFFF;
}

div#nagBar > div#nagTwo {
  text-align: right;
}

div#nagBar > div#nagTwo > button {
	padding: .4em 1em;
	display: inline-block;
	position: relative;
	line-height: normal;
	margin-right: .1em;
	cursor: pointer;
	vertical-align: middle;
	text-align: center;
	user-select: none;
	overflow: visible;
}

.insecureIcon {
  margin: 0 0.2em 0 0;
  font-size: 1em;
}

input#fileImport {
  display: none;
}

#monoUserInfoDiv {
  padding: 0.2em;
  border: 1px solid var(--color-ui-pri);
}

/* :focus { */
/*   outline: none; */
/* } */

/* a:focus, */
/* a:focus-visible, */
/* a:focus-within { */
/*   /\* outline: none; *\/ */
/*   outline: 1px solid green !important; */
/* } */

/* html body main div#tabs.ui-tabs.ui-corner-all.ui-widget.ui-widget-content ul#tabNamesUl.ui-tabs-nav.ui-corner-all.ui-helper-reset.ui-helper-clearfix.ui-widget-header.ui-sortable li.modal.tabName.translate.ui-droppable.ui-tabs-tab.ui-corner-top.ui-state-default.ui-tab.ui-tabs-active.ui-state-active a#ui-id-1.ui-tabs-anchor */
